For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Nukio API
    • Authentication
    • Device
      • POSTfeature engineCutoff
      • POSTcreatedevice
      • POSTdeletedevice
      • POSTupdatedevice
      • GETdiagnosticall
      • GETgetallDevices
      • GETfirmwareUpdate
      • POSTupdateAddress
      • GETgetDevice
      • GETlatest
      • GETdiagnostic
      • GETlostVehicles
      • GETsend
      • GETgetDeviceActivations
      • GETcreateActivation
      • POSTfeature cargoAccess
      • GETdeviceMetadata
      • POSTupdatedevice cargoAccess
      • POSTupdatedevice engineCutoff
      • GETdeviceData
      • GETgetDeviceActivations range
      • GETdeviceData range
    • User
    • Geozone
    • Fleets
    • Notifications
    • Routes
    • Passengers
    • Account Status
    • Nukio SDK
LogoLogo
Nukio APIDevice

getDevice

||View as Markdown|
GET
https://app.nukio.mx/api/v1/device/getdevice/:deviceID/authorization
GET
/api/v1/device/getdevice/:deviceID/authorization
$curl https://app.nukio.mx/api/v1/device/getdevice/01/authorization \
> -H "authorization: <apiKey>"
200Device_getDevice_example
1{
2 "state": {
3 "cargoaccess": {
4 "state": "0",
5 "onText": "on",
6 "offText": "off",
7 "displayName": "Cargo Access",
8 "pendingState": "1",
9 "isNegativeTriggered": false
10 },
11 "enginecutoff": {
12 "state": "0",
13 "onText": "on",
14 "offText": "off",
15 "displayName": "Engine Cutoff",
16 "pendingState": "1",
17 "isNegativeTriggered": false
18 }
19 },
20 "pinTag": "01",
21 "sensors": {
22 "ignition": {
23 "state": "0",
24 "onText": "on",
25 "offText": "off",
26 "displayName": "Ignition",
27 "isNegativeTriggered": false
28 },
29 "cargoaccess": {
30 "state": "0",
31 "onText": "on",
32 "offText": "off",
33 "displayName": "Cargo Access",
34 "pendingState": "1",
35 "isNegativeTriggered": false
36 },
37 "enginecutoff": {
38 "state": "0",
39 "onText": "on",
40 "offText": "off",
41 "displayName": "Engine Cutoff",
42 "pendingState": "1",
43 "isNegativeTriggered": false
44 }
45 },
46 "success": "1",
47 "deviceID": "01",
48 "features": {
49 "cargoaccess": {
50 "states": {
51 "0": "Disallowed",
52 "1": "Allowed"
53 },
54 "displayText": "Cargo Access"
55 },
56 "enginecutoff": {
57 "states": {
58 "0": "Disabled",
59 "1": "Enabled"
60 },
61 "displayText": "Engine Cutoff"
62 }
63 },
64 "pinColor": "FF0000",
65 "deviceType": "SUNTECH",
66 "fuelLevels": [
67 "0.0",
68 "0.0",
69 "0.0",
70 "0.0"
71 ],
72 "authorities": {},
73 "status_code": "200",
74 "deviceDriver": "",
75 "deviceUnique": "",
76 "deviceCreatedOn": 1774571293,
77 "equipmentTypeId": "suntech_st4315_fuel",
78 "fuelLevelAverage": "0.0",
79 "deviceDescription": "01",
80 "deviceDisplayName": "01",
81 "deviceNotifyEmail": "",
82 "equipmentTypeDesc": "Suntech ST4315 + Fuel",
83 "hasPendingCommands": "true",
84 "deviceLastGeozoneID": "",
85 "deviceLastHeartbeat": 1777490359,
86 "additionalPinDisplay": "",
87 "deviceLastValidSpeed": 0,
88 "deviceLastValidAddress": "",
89 "deviceLastValidHeading": 0,
90 "deviceLastValidLatitude": 26.923576,
91 "deviceLastValidLongitude": -101.423665,
92 "deviceLastValidTimestamp": 1777490359,
93 "hasUpdateDevicePrivileges": true
94}
Was this page helpful?
Previous

updateAddress

Next

latest

Built with

Authentication

authorizationstring
API Key authentication via header

Path parameters

deviceIDstringRequired
Device ID number

Response headers

pragmastring
:statusstring
expiresstring
accept-rangesstring
cache-controlstring
x-frame-optionsstring
x-xss-protectionstring
x-application-contextstring
x-content-type-optionsstring

Response

OK
stateobject
pinTagstring
sensorsobject
successstring
deviceIDstring
featuresobject
pinColorstring
deviceTypestring
fuelLevelslist of strings
authoritiesobject
status_codestring
deviceDriverstring
deviceUniquestring
deviceCreatedOninteger
equipmentTypeIdstring
fuelLevelAveragestring
deviceDescriptionstring
deviceDisplayNamestring
deviceNotifyEmailstring
equipmentTypeDescstring
hasPendingCommandsstring
deviceLastGeozoneIDstring
deviceLastHeartbeatinteger
additionalPinDisplaystring
deviceLastValidSpeedinteger
deviceLastValidAddressstring
deviceLastValidHeadinginteger
deviceLastValidLatitudedouble
deviceLastValidLongitudedouble
deviceLastValidTimestampinteger
hasUpdateDevicePrivilegesboolean